Homepage GitHub

Python3 dsdl_compile error


#1
YN03A1260+Administrator@YN03A1260 MINGW32 /f/uavcan/libcanard-master/libcanard-master/dsdl_compiler
$ python -V
Python 3.7.2

YN03A1260+Administrator@YN03A1260 MINGW32 /f/uavcan/libcanard-master/libcanard-master/dsdl_compiler
$ ls
dsdl_define/     libcanard_dsdl_compiler/  out/       pyuavcan.zip
dsdl_define.zip  libcanard_dsdlc*          pyuavcan/  README.md

YN03A1260+Administrator@YN03A1260 MINGW32 /f/uavcan/libcanard-master/libcanard-master/dsdl_compiler
$ ls ./dsdl_define
LICENSE  README.md  uavcan/

YN03A1260+Administrator@YN03A1260 MINGW32 /f/uavcan/libcanard-master/libcanard-master/dsdl_compiler
$ ls ./dsdl_define/uavcan/
equipment/  protocol/  README.md  Timestamp.uavcan

YN03A1260+Administrator@YN03A1260 MINGW32 /f/uavcan/libcanard-master/libcanard-master/dsdl_compiler
$ python libcanard_dsdlc --header_only --outdir ./out ./dsdl_define/uavcan/
Traceback (most recent call last):
  File "D:\Users\Administrator\AppData\Local\Programs\Python\Python37-32\lib\os.py", line 349, in walk
    scandir_it = scandir(top)
FileNotFoundError: [WinError 3] ϵͳ▒Ҳ▒▒▒ָ▒▒▒▒·▒▒▒▒: 'F:\\uavcan\\libcanard-master\\libcanard-master\\dsdl_compiler\\pyuavcan\\uavcan\\dsdl_files\\uavcan'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "libcanard_dsdlc", line 63, in <module>
    from libcanard_dsdl_compiler import run as dsdlc_run
  File "F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\libcanard_dsdl_compiler\__init__.py", line 21, in <module>
    from uavcan import dsdl
  File "F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\pyuavcan\uavcan\__init__.py", line 188, in <module>
    load_dsdl()
  File "F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\pyuavcan\uavcan\__init__.py", line 136, in load_dsdl
    dtypes = dsdl.parse_namespaces(paths)
  File "F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\pyuavcan\uavcan\dsdl\parser.py", line 842, in parse_namespaces
    for filename in walk():
  File "F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\pyuavcan\uavcan\dsdl\parser.py", line 822, in walk
    for root, _dirnames, filenames in walker:
  File "D:\Users\Administrator\AppData\Local\Programs\Python\Python37-32\lib\os.py", line 352, in walk
    onerror(error)
  File "F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\pyuavcan\uavcan\dsdl\parser.py", line 819, in on_walk_error
    raise DsdlException('OS error in [%s]: %s' % (directory, str(ex)))
uavcan.dsdl.common.DsdlException: OS error in [F:\uavcan\libcanard-master\libcanard-master\dsdl_compiler\pyuavcan\uavcan\dsdl_files\uavcan]: [WinError 3] ϵͳ▒Ҳ▒▒▒ָ▒▒▒▒·▒▒▒▒: 'F:\\uavcan\\libcanard-master\\libcanard-master\\dsdl_compiler\\pyuavcan\\uavcan\\dsdl_files\\uavcan'

thank you very much


(Pavel Kirienko) #2

Please make sure that the git submodules are initialized, as explained in the README.